﻿@{
    Layout = null;
}
@*<div class="edit-buttons pull-right">

    <button class="btn btn-danger" data-test="{{control.ElementId}}" data-ng-click="operations.deleteInArrayById(control.ElementId,operations.Elements)">&times;</button>
    <button ng-if="control.Type != 'JbSection'" jb-edit-control class="btn btn-warning" data-current-mode="{{control.CurrentMode}}">Edit</button>
    <button ng-if="control.Type == 'JbSection'" class="btn btn-warning" data-current-mode="{{control.CurrentMode}}" data-ng-click="operations.addOrUpdate.setToUpdate(control)">Edit</button>
</div>*@
<div ng-if="control.Type == 'JbSection'" class="editor">
    <h2 data-jb-collapse class="jb-section-title">
        <span ng-hide="CaptionIsEditing" class="title">{{control.Title}}</span>
        <a ng-hide="CaptionIsEditing" ng-click="CaptionIsEditing = true; _Title = control.Title" class="edit dont-collapse">(Edit section title)</a>
        <input ng-hide="!CaptionIsEditing" maxlength="40" ng-model="control.Title" pattern="[a-zA-Z0-9 &]+" class="dont-collapse input-large" type="text" />
        <a ng-click="CaptionIsEditing = false" ng-hide="!CaptionIsEditing" class="dont-collapse save">Save</a>
        <a ng-click="CaptionIsEditing = false; control.Title = _Title" ng-hide="!CaptionIsEditing" class="dont-collapse cancel">Cancel</a>
        @*<button class="delete" ng-hide="true" data-ng-click="operations.deleteInArrayById(control.ElementId,operations.Elements)"></button>*@
        <div ng-hide="control.CurrentMode != null && control.CurrentMode !='Design'" class="dropdown section-operations pull-right" jb-edit-control="'section'">
            <a class="dont-collapse">
                <img src='@Url.Content("~/Images/ico/gear.png")' alt="Operations" />
            </a>
            <ul class="dropdown-menu">
                <li>
                    <a class="NewQuestion dont-collapse">Add new question</a>
                </li>
                <li>
                    <a class="EditCaption dont-collapse">Edit section caption</a>
                </li>
                <li>
                    <a class="DeleteSection dont-collapse">Delete section</a>
                </li>
            </ul>
        </div>
    </h2>
    <ul class="jb-inner-controll-holder clearfix" data-ui-sortable="sortableOptions" data-ng-model="control.Elements">
        <li ng-repeat="control in control.Elements" class="jb-inner-controll" data-elementid="{{control.ElementId}}" data-ng-class="[control.Type , control.CurrentMode , control.siz]" data-index="{{$index}}" ng-include src="'/FormBuilder/AngularEditorTemplate'"></li>
    </ul>
</div>

<div ng-if="control.Type != 'JbSection' && control.CurrentMode =='Design'" class="jb-inner-controll-options">
    <ul data-jb-edit-control="'control'">
        <li>
            <a class="EditQuestion">Edit</a>
        </li>
        <li>
            <a class="DeleteQuestion">Delete</a>
        </li>
    </ul>
</div>

<div ng-if="control.Type == 'paragraph'" class="editor">
    <h5>{{control.Title}}</h5>
    <p>{{control.Value}}</p>
</div>

<div ng-if="control.Type == 'JbTextBox'" class="editor">
    <label>{{control.Title}}</label>
    <input type="text" value="{{control.Value}}" placeholder="{{control.PlaceHolder}}" ng-required="control.IsRequired" />
</div>

<div ng-if="control.Type == 'JbNumber'" class="editor">
    <label>{{control.Title}}</label>
    <input type="text" value="{{control.Value}}" placeholder="{{control.PlaceHolder}}" ng-required="control.IsRequired" />
</div>

<div ng-if="control.Type == 'JbPhone'" class="editor">
    <label>{{control.Title}}</label>
    <input type="text" value="{{control.Value}}" placeholder="{{control.PlaceHolder}}" ng-required="control.IsRequired" />
</div>

<div ng-if="control.Type == 'JbAddress'" class="editor">
    <label>{{control.Title}}</label>
    <input type="text" value="{{control.Value}}" placeholder="{{control.PlaceHolder}}" ng-required="control.IsRequired" />
</div>

<div ng-if="control.Type == 'JbEmail'" class="editor">
    <label>{{control.Title}}</label>
    <input type="email" value="{{control.Value}}" placeholder="{{control.PlaceHolder}}" ng-required="control.IsRequired" />
</div>

<div ng-if="control.Type == 'JbTextArea'" class="editor">
    <label>{{control.Title}}</label>
    <textarea placeholder="{{control.PlaceHolder}}">{{control.Value}}</textarea>
</div>

<div ng-if="control.Type == 'multipleChoice'" class="editor">
    <label>{{control.Title}}</label>
    <div>
        <div ng-repeat="o in control.Options">
            <label>{{o.Title}}<input name="radio" data-jb-icheck type="radio" data-ng-value="o.Value" ng-model="control.Value" /></label>
        </div>
    </div>
</div>

<div ng-if="control.Type == 'JbCheckBox'" class="editor">
    <label>{{control.Title}}<input jb-icheck type="checkbox" ng-model="control.Value" /></label>
</div>

<div ng-if="control.Type == 'JbCheckBoxList'" class="editor">
    <label>{{control.Title}}</label>
    <div>
        <div ng-repeat="o in control.Items">
            <label>{{o.Title}}<input jb-icheck type="checkbox" ng-model="o.Value" /></label>
        </div>
    </div>
</div>
<div ng-if="control.Type == 'JbRadioList'" class="editor">
    <label>{{control.Title}}</label>
    <div>
        <div ng-repeat="o in control.Items">
            <label>{{o.Title}}<input jb-icheck type="radio" ng-model="o.Value" /></label>
        </div>
    </div>
</div>
<div ng-if="control.Type == 'JbDropDown'" class="editor">
    <label>{{control.Title}}</label>
    <select ng-model="control.Value" ng-options="o.Value as o.Text for o in control.Items" ng-required="control.IsRequired"></select>
</div>

<div ng-if="control.Type == 'JbParagraph'" class="editor">
    <label>{{control.Title}}</label>
    <p>{{control.Value}}</p>
</div>

<div ng-if="control.IsCustomElement == true" class="editor">    
    <label>{{control.Title}}</label>
    <p>Custom element dose not have preview!</p>
    <p>You can see preview after save form</p>
</div>
